# MobManager v3.0.3 by Michael McKnight (ShadowDog007)
# http://dev.bukkit.org/bukkit-mods/mobmanager/
# Limiter World Config
# NOTES ----------------------------------------------------------------|
# MobTypes:
#    Monsters:       Blaze, Creeper, Enderman, Giant,
#                    Silverfish, Skeleton, WitherSkeleton, Spider,
#                    CaveSpider, Witch, Wither, Zombie, PigZombie,
#                    Ghast, Slime, MagmaCube
# 
#     Animals:       Chicken, Cow, MushroomCow, Ocelot,
#                    Pig, Sheep, Wolf, IronGolem, Snowman
#                    
#     Water_Animals: Squid
#     
#     Ambient:       Bat
#     
#     Villager:      Villager
# ----------------------------------------------------------------------|
# #######################################################################
# WorldMaximum
# #######################################################################
# Here you set the maximum values for each type of mob for the world
# Mob types shown above in notes
# 
# To disable a mob type set their maximum to 0
# To Prevent limiting of a mob type set their maximum to something big
#     e.g. 9001 (Note: You must also set the ChunkCalculatedMaximum high)
# 
# #######################################################################
# ChunkCalculatedMaximum
# #######################################################################
# Limits to the number of mobs dynamically calculated
#    by the number of loaded chunks in the world
# 
# Calculated with the below formula
# maxMobs = ( Number of active chunks * Config Value ) / 256
# 
# #######################################################################
# BreedingMaximumPerChunk
# #######################################################################
# MobManager keeps track of how many mobs are inside of one chunk
# If a player tries to breed an animal and there are already too
#     many animals inside the chunk it prevents the animal from spawning
# 
# This is to prevent players from breeding a ridiculous number of animals
# 
# Set to -1 to disable
# 
# #######################################################################
# NumAnimalsForFarm
# #######################################################################
# This number is used to assume if a chunk contains an animal farm in it.
# If the number of animals in the chunk is above or equal to this value
#    the animals in this chunk will not be despawned when the
#    despawn scan runs
#    
# NOTE: If this value is too low many animals may not be despawned
#       Around 3-5 'should' work fine.
# 
# #######################################################################
# DespawnSearchDistance
# #######################################################################
# When a mob spawns MobManager searches for players
#     around the mob. If it finds a player within range
#     the mob is allowed to spawn.
# DespawnSearchDistance is the distance in blocks around
#     the spawned mob which MobManager will check for players
# 
# Used as a default for worlds which have
#     invalid values set for the same setting
# 
# NOTE: If set to -1 the value from the global limiter.yml will be used
# 
# #######################################################################
# UndergroundSearchDistance
# #######################################################################
# UndergroundSpawnChunkSearchDistance is a alternative search distance to
#     DespawnSearchDistance.
#     
# When a mob spawns underground the underground search radius is used.
#     (Ground height determined by the setting GroundHeight)
# 
# This setting is provided as players are less likely to meet mobs that
#     can spawn given the normal search radius while underground
#     (Assuming the player is running around in caves and not in
#     an open underground environment like the nether)
#     
# #######################################################################
# DespawnSearchHeight
# #######################################################################
# When a mob spawns MobManager searches for players
#     around the mob. If it finds a player within range
#     the mob is allowed to spawn.
# DespawnSearchDistance is the distance in blocks above and below
#     the spawned mob which MobManager will check for players
#     
# NOTE: If set to -1 the value from the global limiter.yml will be used
# 
# #######################################################################
# GroundHeight
# #######################################################################
# This value is used to determine if a mob has spawned underground
# 
# It is recommended to set this to -1 for The_End environments
#     As these worlds tend to be much more open than normal environments.
# For Nether environments the default value of 32 is used as this is
#     the default height of lava
# 
# #######################################################################
# Mobs.WorldMaximum
# #######################################################################
# Same as WorldMaximum but for individual mobs
# 
# Value of -1 means this limit is ignored
# 
# #######################################################################
# Mobs.ChunkCalculatedMaximum
# #######################################################################
# Same as ChunkCalculatedMaximum but for individual mobs
# 
# Value of -1 means this limit is ignored
# 
# #######################################################################

WorldMaximum:
  Monsters: 400
  Animals: 280
  Water_Animals: 128
  Ambient: 64
  Villager: 128
ChunkCalculatedMaximum:
  Monsters: 20
  Animals: 15
  Water_Animals: 6
  Ambient: 6
  Villager: 10
BreedingMaximumPerChunk: 15
NumAnimalsForFarm: 2
DespawnSearchDistance: -1
UndergroundSearchDistance: 32
DespawnSearchHeight: -1
GroundHeight: 55
Mobs:
  WorldMaximum:
    SKELETON_WITHER: -1
    CREEPER: 60
    SKELETON: 150
    SPIDER: 75
    GIANT: -1
    ZOMBIE: 150
    SLIME: -1
    GHAST: -1
    PIG_ZOMBIE: 75
    ENDERMAN: 50
    CAVE_SPIDER: -1
    SILVERFISH: -1
    BLAZE: -1
    MAGMA_CUBE: -1
    WITHER: -1
    BAT: -1
    WITCH: -1
    ENDERMITE: -1
    GUARDIAN: -1
    PIG: -1
    SHEEP: -1
    COW: -1
    CHICKEN: -1
    SQUID: -1
    WOLF: -1
    MUSHROOM_COW: -1
    SNOWMAN: 100
    OCELOT: -1
    IRON_GOLEM: 100
    HORSE: 0
    RABBIT: -1
    VILLAGER: -1
    HORSE_WHITE: 0
    HORSE_CREAMY: 0
    HORSE_CHESTNUT: 0
    HORSE_BROWN: 0
    HORSE_BLACK: 0
    HORSE_GRAY: 0
    HORSE_DARK_BROWN: 0
    HORSE_WHITE_WHITE: 0
    HORSE_CREAMY_WHITE: 0
    HORSE_CHESTNUT_WHITE: 0
    HORSE_BROWN_WHITE: 0
    HORSE_BLACK_WHITE: 0
    HORSE_GRAY_WHITE: 0
    HORSE_DARK_BROWN_WHITE: 0
    HORSE_WHITE_WHITEFIELD: 0
    HORSE_CREAMY_WHITEFIELD: 0
    HORSE_CHESTNUT_WHITEFIELD: 0
    HORSE_BROWN_WHITEFIELD: 0
    HORSE_BLACK_WHITEFIELD: 0
    HORSE_GRAY_WHITEFIELD: 0
    HORSE_DARK_BROWN_WHITEFIELD: 0
    HORSE_WHITE_WHITE_DOTS: 0
    HORSE_CREAMY_WHITE_DOTS: 0
    HORSE_CHESTNUT_WHITE_DOTS: 0
    HORSE_BROWN_WHITE_DOTS: 0
    HORSE_BLACK_WHITE_DOTS: 0
    HORSE_GRAY_WHITE_DOTS: 0
    HORSE_DARK_BROWN_WHITE_DOTS: 0
    HORSE_WHITE_BLACK_DOTS: 0
    HORSE_CREAMY_BLACK_DOTS: 0
    HORSE_CHESTNUT_BLACK_DOTS: 0
    HORSE_BROWN_BLACK_DOTS: 0
    HORSE_BLACK_BLACK_DOTS: 0
    HORSE_GRAY_BLACK_DOTS: 0
    HORSE_DARK_BROWN_BLACK_DOTS: 0
    HORSE_DONKEY: 0
    HORSE_MULE: 0
    HORSE_UNDEAD_HORSE: 0
    HORSE_SKELETON_HORSE: 0
  ChunkCalculatedMaximum:
    SKELETON_WITHER: -1
    CREEPER: -1
    SKELETON: -1
    SPIDER: -1
    GIANT: -1
    ZOMBIE: -1
    SLIME: -1
    GHAST: -1
    PIG_ZOMBIE: -1
    ENDERMAN: -1
    CAVE_SPIDER: -1
    SILVERFISH: -1
    BLAZE: -1
    MAGMA_CUBE: -1
    WITHER: -1
    BAT: -1
    WITCH: -1
    ENDERMITE: -1
    GUARDIAN: -1
    PIG: -1
    SHEEP: -1
    COW: -1
    CHICKEN: -1
    SQUID: -1
    WOLF: -1
    MUSHROOM_COW: -1
    SNOWMAN: 3
    OCELOT: -1
    IRON_GOLEM: 3
    HORSE: 0
    RABBIT: -1
    VILLAGER: -1
    HORSE_WHITE: 0
    HORSE_CREAMY: 0
    HORSE_CHESTNUT: 0
    HORSE_BROWN: 0
    HORSE_BLACK: 0
    HORSE_GRAY: 0
    HORSE_DARK_BROWN: 0
    HORSE_WHITE_WHITE: 0
    HORSE_CREAMY_WHITE: 0
    HORSE_CHESTNUT_WHITE: 0
    HORSE_BROWN_WHITE: 0
    HORSE_BLACK_WHITE: 0
    HORSE_GRAY_WHITE: 0
    HORSE_DARK_BROWN_WHITE: 0
    HORSE_WHITE_WHITEFIELD: 0
    HORSE_CREAMY_WHITEFIELD: 0
    HORSE_CHESTNUT_WHITEFIELD: 0
    HORSE_BROWN_WHITEFIELD: 0
    HORSE_BLACK_WHITEFIELD: 0
    HORSE_GRAY_WHITEFIELD: 0
    HORSE_DARK_BROWN_WHITEFIELD: 0
    HORSE_WHITE_WHITE_DOTS: 0
    HORSE_CREAMY_WHITE_DOTS: 0
    HORSE_CHESTNUT_WHITE_DOTS: 0
    HORSE_BROWN_WHITE_DOTS: 0
    HORSE_BLACK_WHITE_DOTS: 0
    HORSE_GRAY_WHITE_DOTS: 0
    HORSE_DARK_BROWN_WHITE_DOTS: 0
    HORSE_WHITE_BLACK_DOTS: 0
    HORSE_CREAMY_BLACK_DOTS: 0
    HORSE_CHESTNUT_BLACK_DOTS: 0
    HORSE_BROWN_BLACK_DOTS: 0
    HORSE_BLACK_BLACK_DOTS: 0
    HORSE_GRAY_BLACK_DOTS: 0
    HORSE_DARK_BROWN_BLACK_DOTS: 0
    HORSE_DONKEY: 0
    HORSE_MULE: 0
    HORSE_UNDEAD_HORSE: 0
    HORSE_SKELETON_HORSE: 0
